<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://cloudimage.io
 * @since      1.0.0
 *
 * @package    Cloudimg
 * @subpackage Cloudimg/admin/partials
 */
?>


<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <div class="top_part">
        <div class="a_logo">
            <a target="_blank" href="http://cloudimage.io/">
                <img src="http://sample.li/CloudImage_Logo_Web.png" alt="cloudimage logo">
            </a>
        </div>
        <h2><?php echo esc_html(get_admin_page_title()); ?></h2>
    </div>


    <div class="intro_text" style="max-width:600px;">
      <p class="big_p">
        Cloudimage.io faster your images! Upload your image on Wordpress as usal and we take care of optimization and delivery, using industry best practices and a lightning-fast CDN.
      </p>
      <p class="big_p">
        To start using Cloudimage.io you'll need to sign up for your own private Cloudimage account.
        Sign up is free, it takes only a few seconds. <a class="button-primary" href="https://cloudimage.io">Sign up now.</a>
      </p>
      <p class="big_p">
        After you've signed up for your Cloudimage.io account, please fill in your <em>token</em> that appear in your Cloudimage Dashboard:
      </p>
    </div>

    <form method="post" name="cloudimg_settings" action="options.php">

        <?php
            //Grab all options
            $options = get_option($this->plugin_name);

            // Token
            $token = $options['token'];
            $force_prod = $options['prod'];
        ?>

        <?php
            settings_fields($this->plugin_name);
            do_settings_sections($this->plugin_name);
        ?>

        <!-- Get the token -->
        <fieldset>
            <legend class="screen-reader-text"><span><?php _e('Your token : ', $this->plugin_name);?></span></legend>
            <label for="<?php echo $this->plugin_name; ?>-token">
                <span><?php esc_attr_e('Your token : ', $this->plugin_name); ?></span>
                <input type="text" id="<?php echo $this->plugin_name; ?>-token" placeholder="efuevfz" name="<?php echo $this->plugin_name; ?>[token]"  value="<?php if(!empty($token)) echo $token; ?>"/>
            </label>
        </fieldset>

        <fieldset>
            <legend class="screen-reader-text"><span><?php _e('Force production mode', $this->plugin_name);?></span></legend>
            <label for="<?php echo $this->plugin_name; ?>-prod">
                <input type="checkbox" id="<?php echo $this->plugin_name; ?>-prod" name="<?php echo $this->plugin_name; ?>[prod]" <?php checked( $force_prod, 1 ); ?> />
                <span><?php esc_attr_e('Force production mode', $this->plugin_name); ?></span>
            </label>
        </fieldset>


        <?php submit_button(__('Save all changes', $this->plugin_name), 'primary','submit', TRUE); ?>

    </form>

</div>
